Runtime

## org.eclipse.gmf.runtime.diagram.ui.properties.sections
Class AdvancedPropertySection

    java.lang.Object
      org.eclipse.ui.views.properties.tabbed.AbstractPropertySection
          org.eclipse.gmf.runtime.diagram.ui.properties.sections.AbstractModelerPropertySection
              org.eclipse.gmf.runtime.diagram.ui.properties.sections.AdvancedPropertySection

All Implemented Interfaces:
  ISection

public class AdvancedPropertySection
extends AbstractModelerPropertySection

The advanced property section displayed the "original" tabular property sheet page.

Field Summary
`protected PropertySheetPage` `page` the property sheet page for this section

Fields inherited from class org.eclipse.gmf.runtime.diagram.ui.properties.sections.AbstractModelerPropertySection
`disposed, eObject, eventListener, input, propertiesProvider, VALUE_CHANGED_STRING`

Fields inherited from class org.eclipse.ui.views.properties.tabbed.AbstractPropertySection
`STANDARD_LABEL_WIDTH`

Constructor Summary
`AdvancedPropertySection()`

Method Summary
`protected boolean` `addToEObjectList(java.lang.Object object)` Add next object in the selection to the list of EObjects if this object could be adapted to an `EObject`
`void` `createControls(Composite parent, TabbedPropertySheetPage aTabbedPropertySheetPage)`
`void` `dispose()`
`org.eclipse.emf.transaction.NotificationFilter` `getFilter()` Subclasses overriding this method should remember to override `AbstractModelerPropertySection.update(TransactionalEditingDomain, Notification)` as required.
`protected IPropertySourceProvider` `getPropertySourceProvider()` Returns the PropertySource provider.
`protected java.lang.String` `getTableLabel()` Returns the label for the table.
`void` `refresh()`
`void` `setActionBars(IActionBars actionBars)` Sets and prepares the actionBars for this section
`void` `setInput(IWorkbenchPart part, ISelection selection)`
`boolean` `shouldUseExtraSpace()`
`void` `update(Notification notification, EObject element)` Update if nessesary, upon receiving the model event.

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.properties.sections.AbstractModelerPropertySection

`aboutToBeHidden, aboutToBeShown, adapt, createCommand, createCommand, executeAsCompositeCommand, executeAsReadAction, getEditingDomain, getEObject, getEObjectList, getEventListener, getInput, getPrimarySelection, getStandardLabelWidth, getUpdateRequestCollapser, handleElementModifiedEvent, isCurrentSelection, isDisposed, isNotifierDeleted, isReadOnly, postUpdateRequest, setEditingDomain, setEObject, unwrap, update`

Methods inherited from class org.eclipse.ui.views.properties.tabbed.AbstractPropertySection
`getMinimumHeight, getPart, getSelection, getWidgetFactory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### page

    protected PropertySheetPage page

  the property sheet page for this section

Constructor Detail

### AdvancedPropertySection

    public AdvancedPropertySection()

Method Detail

### createControls

    public void createControls(Composite parent,
                               TabbedPropertySheetPage aTabbedPropertySheetPage)

  Specified by:
    `createControls` in interface `ISection`
  Overrides:
    `createControls` in class `AbstractModelerPropertySection`

### setActionBars

    public void setActionBars(IActionBars actionBars)

  Sets and prepares the actionBars for this section

  Parameters:
    `actionBars` - the action bars for this page
  See Also:
    `org.eclipse.gmf.runtime.common.ui.properties.TabbedPropertySheetPage#setActionBars(org.eclipse.ui.IActionBars)`

### getPropertySourceProvider

    protected IPropertySourceProvider getPropertySourceProvider()

  Returns the PropertySource provider. The default implementation returns static adapter factory for the properties services. If the extending class needs to use a different provider then this method has to be overwriten.

  Returns:
    The PropertySource provider

### getTableLabel

    protected java.lang.String getTableLabel()

  Returns the label for the table. The default implementation returns null, that is, there is no label.

  Returns:
    The label for the table

### setInput

    public void setInput(IWorkbenchPart part,
                         ISelection selection)

  Specified by:
    `setInput` in interface `ISection`
  Overrides:
    `setInput` in class `AbstractModelerPropertySection`

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `ISection`
  Overrides:
    `dispose` in class `AbstractModelerPropertySection`

### refresh

    public void refresh()

### shouldUseExtraSpace

    public boolean shouldUseExtraSpace()

### update

    public void update(Notification notification,
                       EObject element)

  Update if nessesary, upon receiving the model event.

  Overrides:
    `update` in class `AbstractModelerPropertySection`
  Parameters:
    `notification` - - even notification
    `element` - - element that has changed
  See Also:
    `AbstractModelerPropertySection.aboutToBeShown()`, `AbstractModelerPropertySection.aboutToBeHidden()`

### getFilter

    public org.eclipse.emf.transaction.NotificationFilter getFilter()

  Description copied from class: `AbstractModelerPropertySection`
  Subclasses overriding this method should remember to override `AbstractModelerPropertySection.update(TransactionalEditingDomain, Notification)` as required. The default implementation of `AbstractModelerPropertySection.update(TransactionalEditingDomain, Notification)` will only update if the notifier is an `EObject`.

  Overrides:
    `getFilter` in class `AbstractModelerPropertySection`
  Returns:
    the filter for events used by my `eventListener`.

### addToEObjectList

    protected boolean addToEObjectList(java.lang.Object object)

  Description copied from class: `AbstractModelerPropertySection`
  Add next object in the selection to the list of EObjects if this object could be adapted to an `EObject`

  Overrides:
    `addToEObjectList` in class `AbstractModelerPropertySection`
  Parameters:
    `object` - the object to add
  Returns:
    - true if the object is added, false otherwise

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.